> For the complete documentation index, see [llms.txt](https://developer.hyper3d.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.hyper3d.ai/zh_cn/api-specification/check_balance_reset_v.md).

# Check Balance

{% openapi src="/files/rA0xuGrMtEOsEqeySbPJ" path="/api/v2/check\_balance" method="get" %}
[public-api.json](https://563398440-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FwiMYwiLTHWAzkgBEpY5K%2Fuploads%2Fgit-blob-8b3e8c417bade1e10d0190a05b80cfb0b4f9c3bb%2Fpublic-api.json?alt=media)
{% endopenapi %}

调用该API节点以查询账户剩余余额。

### 收费

调用该API节点以查询账户剩余余额不会收取任何费用。

### 请求

#### Authentication

此API使用密钥进行身份验证。您需要在所有请求的`Authorization`头中包含一个有效的密钥.

```
Authorization: Bearer RODIN_API_KEY
```

### 响应

JSON响应包含以下字段。

| Property | Type | Description         |
| -------- | ---- | ------------------- |
| balance  | int  | Balance of account. |

### Examples

{% tabs %}
{% tab title="Request with cURL" %}

```sh
export RODIN_API_KEY="your api key"
curl --location 'https://api.hyper3d.com/api/v2/check_balance' \
--header 'Authorization: Bearer JWT'
unset RODIN_API_KEY
```

{% endtab %}

{% tab title="Request with Python3" %}

```python
import requests

# Constants
ENDPOINT = "https://api.hyper3d.com/api/v2/check_balance"
API_KEY = os.getenv("HYPER3D_API_KEY")

# Prepare the headers
headers = {
    'Authorization': f'Bearer {API_KEY}',
}

# Make the GET request
response = requests.get(ENDPOINT, headers=headers)

# Parse and return the JSON response
print(response.json())

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.hyper3d.ai/zh_cn/api-specification/check_balance_reset_v.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
